/* ----------------------------------------------------------------------------
 *  "THE BEER-WARE LICENSE" (Revision 42):
 *  <mduft@gentoo.org> wrote this file.  As long as you retain this notice you
 *  can do whatever you want with this stuff. If we meet some day, and you think
 *  this stuff is worth it, you can buy me a beer in return.   Markus Duft
 *  ---------------------------------------------------------------------------- */

#include "suacomp.h"

#include <errno.h>
#include <unistd.h>
#include <limits.h>

ITX_DEF_AND_OVERLOAD(char*, getcwd, (char* buf, size_t size)) {
    char* ret;
	ITX_REAL_FUNC(getcwd);

	DT("enter: buf: %p, sz: %d\n", buf, size);

    if(!size)
        size = PATH_MAX;

    if(!buf)
        buf = malloc(size);

    ret = real_getcwd(buf, size);

    DT("leave: %s\n", ret);
    return ret;
}
