/* ----------------------------------------------------------------------------
 *  "THE BEER-WARE LICENSE" (Revision 42):
 *  <mduft@gentoo.org> wrote this file.  As long as you retain this notice you
 *  can do whatever you want with this stuff. If we meet some day, and you think
 *  this stuff is worth it, you can buy me a beer in return.   Markus Duft
 *  ---------------------------------------------------------------------------- */

#include "suacomp.h"
#include <unistd.h>

#if (INTERIX_MAJOR == 3)
# define FLAG_TYPE unsigned long
#else
# define FLAG_TYPE unsigned int
#endif

ITX_DEF_AND_OVERLOAD(struct group*, getgrgid_ex, (gid_t gid, FLAG_TYPE flags)) {
	ITX_REAL_FUNC(getgrgid_ex);
	DT("enter: gid: %d, flags: %x\n", gid, flags);
	ITX_MAP_GID(gid, True);
	ITX_MAP_RETURNOF_GROUP(real_getgrgid_ex, (gid, flags), False);
}
