/* ----------------------------------------------------------------------------
 *  "THE BEER-WARE LICENSE" (Revision 42):
 *  <mduft@gentoo.org> wrote this file.  As long as you retain this notice you
 *  can do whatever you want with this stuff. If we meet some day, and you think
 *  this stuff is worth it, you can buy me a beer in return.   Markus Duft
 *  ---------------------------------------------------------------------------- */

#include "suacomp.h"
#include <unistd.h>

ITX_DEF_AND_OVERLOAD(int, getgrgid_nomembers_r, (gid_t gid, struct group* grp, char* buf, size_t bufsize, struct group** result)) {
	ITX_REAL_FUNC(getgrgid_nomembers_r);
	DT("enter: gid: %d, grp: %p, buf: %p, bufsz: %d, result: %p\n", gid, grp, buf, bufsize, result);
	ITX_MAP_GID(gid, True);
	{
		int res = real_getgrgid_nomembers_r(gid, grp, buf, bufsize, result);

		if(result && *result) {
			MapGroup(*result, False);
		}

        DT("leave: %d\n", res);
		return res;
	}
}
