/* ----------------------------------------------------------------------------
 *  "THE BEER-WARE LICENSE" (Revision 42):
 *  <mduft@gentoo.org> wrote this file.  As long as you retain this notice you
 *  can do whatever you want with this stuff. If we meet some day, and you think
 *  this stuff is worth it, you can buy me a beer in return.   Markus Duft
 *  ---------------------------------------------------------------------------- */

#include "suacomp.h"
#include <unistd.h>

ITX_DEF_AND_OVERLOAD(int, getpwuid_ex_r, (uid_t uid, unsigned long flags, struct passwd* pwd, char* buf, size_t bufsize, struct passwd** result)) {
	ITX_REAL_FUNC(getpwuid_ex_r);
	DT("enter: uid: %d, flags: %lx, pwd: %p, buf: %p, bufsz: %d, result: %p\n", uid, flags, pwd, buf, bufsize, result);
	ITX_MAP_UID(uid, True);
	{
		int res = real_getpwuid_ex_r(uid, flags, pwd, buf, bufsize, result);

		if(result && *result) {
			MapPasswd(*result, False);
		}

        DT("leave: %d\n", res);
		return res;
	}
}
