/* ----------------------------------------------------------------------------
 *  "THE BEER-WARE LICENSE" (Revision 42):
 *  <mduft@gentoo.org> wrote this file.  As long as you retain this notice you
 *  can do whatever you want with this stuff. If we meet some day, and you think
 *  this stuff is worth it, you can buy me a beer in return.   Markus Duft
 *  ---------------------------------------------------------------------------- */

#include "suacomp.h"
#include <pwd.h>
#include <grp.h>

ITX_DEF_AND_OVERLOAD(char*, group_from_gid, (gid_t gid, int d)) {
	ITX_REAL_FUNC(group_from_gid);
	DT("enter: gid: %d, d: %d\n", gid, d);
	ITX_MAP_GID(gid, True);
	{
        char * res = (char*)MapGroupName(real_group_from_gid(gid, d), False);
        DT("leave: %s\n", res? res : "NULL");
        return res;
    }
}
