/* ----------------------------------------------------------------------------
 *  "THE BEER-WARE LICENSE" (Revision 42):
 *  <mduft@gentoo.org> wrote this file.  As long as you retain this notice you
 *  can do whatever you want with this stuff. If we meet some day, and you think
 *  this stuff is worth it, you can buy me a beer in return.   Markus Duft
 *  ---------------------------------------------------------------------------- */

#include "suacomp.h"

#include <sys/types.h>
#include <sys/stat.h>

ITX_DEF_AND_OVERLOAD(int, lstat, (const char* path, struct stat* buf)) {
	ITX_REAL_FUNC(lstat);
	DT("enter: path: %s, buf: %p\n", path, buf);
	{
		int res = real_lstat(path, buf);

		if(buf && res == 0) {
			ITX_MAP_UID(buf->st_uid, False);
			ITX_MAP_GID(buf->st_gid, False);
		}

        DT("leave: %d\n", res);
		return res;
	}
}
