/* ----------------------------------------------------------------------------
 *  "THE BEER-WARE LICENSE" (Revision 42):
 *  <mduft@gentoo.org> wrote this file.  As long as you retain this notice you
 *  can do whatever you want with this stuff. If we meet some day, and you think
 *  this stuff is worth it, you can buy me a beer in return.   Markus Duft
 *  ---------------------------------------------------------------------------- */

#include "suacomp.h"

#include <unistd.h>
#include <sys/types.h>

ITX_DEF_AND_OVERLOAD(int, setuser, (const char* user, const char* passwd, const int flags)) {
	ITX_REAL_FUNC(setuser);

    // don't echo password ;)
	DT("enter: user: %s, pass: %s, flags: %x\n", user, "*", flags);

	{
        int ret = real_setuser(MapUserName(user, True), passwd, flags);
        DT("leave: %d\n", ret);
        return ret;
    }
}
