/* ----------------------------------------------------------------------------
 *  "THE BEER-WARE LICENSE" (Revision 42):
 *  <mduft@gentoo.org> wrote this file.  As long as you retain this notice you
 *  can do whatever you want with this stuff. If we meet some day, and you think
 *  this stuff is worth it, you can buy me a beer in return.   Markus Duft
 *  ---------------------------------------------------------------------------- */

#include "test.h"
#include "../suacomp.h"

#include <grp.h>
#include <pwd.h>
#include <string.h>

void test_user_from_uid(int argc, char** argv) {
	char* user = user_from_uid(0, 0);
	VMSG("user_from_uid(0,0) = %s\n", user);
	EXP_SUCCESS(user != NULL && (strcmp(user, "root") == 0));

	user = user_from_uid(ITX_ROOT_UID, 0);
	VMSG("user_from_uid(%d,0) = %s\n", ITX_ROOT_UID, user);
	EXP_SUCCESS(user != NULL && (strcmp(user, "root") == 0));
}
