/* ----------------------------------------------------------------------------
 *  "THE BEER-WARE LICENSE" (Revision 42):
 *  <mduft@gentoo.org> wrote this file.  As long as you retain this notice you
 *  can do whatever you want with this stuff. If we meet some day, and you think
 *  this stuff is worth it, you can buy me a beer in return.   Markus Duft
 *  ---------------------------------------------------------------------------- */

#include "suacomp.h"
#include <pwd.h>
#include <grp.h>

ITX_DEF_AND_OVERLOAD(char*, user_from_uid, (uid_t uid, int d)) {
	ITX_REAL_FUNC(user_from_uid);
	DT("enter: uid: %d, d: %d\n", uid, d);
	ITX_MAP_UID(uid, True);
    {
        char* name = (char*)MapUserName(real_user_from_uid(uid, d), False);
        DT("leave: %s\n", (name? name : "NULL"));
        return name; 
    }
}
