/* ----------------------------------------------------------------------------
 *  "THE BEER-WARE LICENSE" (Revision 42):
 *  <mduft@gentoo.org> wrote this file.  As long as you retain this notice you
 *  can do whatever you want with this stuff. If we meet some day, and you think
 *  this stuff is worth it, you can buy me a beer in return.   Markus Duft
 *  ---------------------------------------------------------------------------- */

#include "suacomp.h"
#include "actcache.h"
#include "sync.h"
#include "futimes.h"

#include <stdio.h>

ITX_DEF_AND_OVERLOAD(int, dup, (int fd)) {
	ITX_REAL_FUNC(dup);

	DT("enter: fd: %d\n", fd);

	{
		int ret = real_dup(fd);
        if(ret >= 0) {
            futimes_dup(fd, ret);
            sync_mark(ret);
        }
		DT("leave: %d\n", ret);
		return ret;
	}
}

