/* ----------------------------------------------------------------------------
 *  "THE BEER-WARE LICENSE" (Revision 42):
 *  <mduft@gentoo.org> wrote this file.  As long as you retain this notice you
 *  can do whatever you want with this stuff. If we meet some day, and you think
 *  this stuff is worth it, you can buy me a beer in return.   Markus Duft
 *  ---------------------------------------------------------------------------- */

#include "suacomp.h"
#include "actcache.h"
#include "sync.h"
#include "futimes.h"

#include <stdio.h>

ITX_DEF_AND_OVERLOAD(int, fflush, (FILE* fp)) {
	ITX_REAL_FUNC(fflush);
    int fd = fp ? fileno(fp) : -1;

	DT("enter: fp: %p\n", fp);

    if(fd >= 0)
        sync_unmark(fd);

	{
		int ret = real_fflush(fp);
        if(fd >= 0)
            futimes_flush(fd);
		DT("leave: %d\n", ret);
		return ret;
	}
}

