/* ----------------------------------------------------------------------------
 *  "THE BEER-WARE LICENSE" (Revision 42):
 *  <mduft@gentoo.org> wrote this file.  As long as you retain this notice you
 *  can do whatever you want with this stuff. If we meet some day, and you think
 *  this stuff is worth it, you can buy me a beer in return.   Markus Duft
 *  ---------------------------------------------------------------------------- */

#include "suacomp.h"
#include <unistd.h>

ITX_DEF_AND_OVERLOAD(int, getgrnam_nomembers_r, (const char* name, struct group* grp, char* buf, size_t bufsize, struct group** result)) {
	ITX_REAL_FUNC(getgrnam_nomembers_r);

	DT("enter: name: %s, grp: %p, buf: %p, bufsz: %d, result: %p\n", name, grp, buf, bufsize, result);

	{
		int res = real_getgrnam_nomembers_r(MapGroupName(name, True), grp, buf, bufsize, result);

		if(result && *result) {
			MapGroup(*result, False);
		}

        DT("leave: %d\n", res);
		return res;
	}
}
