/* ----------------------------------------------------------------------------
 *  "THE BEER-WARE LICENSE" (Revision 42):
 *  <mduft@gentoo.org> wrote this file.  As long as you retain this notice you
 *  can do whatever you want with this stuff. If we meet some day, and you think
 *  this stuff is worth it, you can buy me a beer in return.   Markus Duft
 *  ---------------------------------------------------------------------------- */

#include "suacomp.h"
#include <unistd.h>
#include <sys/types.h>

ITX_DEF_AND_OVERLOAD(int, getgroups, (int arrsz, gid_t groups[])) {
	ITX_REAL_FUNC(getgroups);

	DT("enter: arrsz: %d, groups: %p\n", arrsz, groups);
	{
		int res = real_getgroups(arrsz, groups);

		if(arrsz > 0 && res > 0) {
			int i;
			for(i = 0; i < res; ++i) {
				if(groups[i] == ITX_ROOT_GID)
					groups[i] = 0;
			}
		}

        DT("leave: %d\n", res);
		return res;
	}
}
