/* ----------------------------------------------------------------------------
 *  "THE BEER-WARE LICENSE" (Revision 42):
 *  <mduft@gentoo.org> wrote this file.  As long as you retain this notice you
 *  can do whatever you want with this stuff. If we meet some day, and you think
 *  this stuff is worth it, you can buy me a beer in return.   Markus Duft
 *  ---------------------------------------------------------------------------- */

#include "suacomp.h"
#include <unistd.h>
#include <pwd.h>

ITX_DEF_AND_OVERLOAD(int, getpwnam_r, (const char* login, struct passwd* pwd, char* buf, size_t bufsize, struct passwd** result)) {
	ITX_REAL_FUNC(getpwnam_r);
	{
		int res = real_getpwnam_r(MapUserName(login, True), pwd, buf, bufsize, result);

		if(result && *result) {
			MapPasswd(*result, False);
		}

		return res;
	}
}
