/* ----------------------------------------------------------------------------
 *  "THE BEER-WARE LICENSE" (Revision 42):
 *  <mduft@gentoo.org> wrote this file.  As long as you retain this notice you
 *  can do whatever you want with this stuff. If we meet some day, and you think
 *  this stuff is worth it, you can buy me a beer in return.   Markus Duft
 *  ---------------------------------------------------------------------------- */

#include "suacomp.h"
#include <unistd.h>

ITX_DEF_AND_OVERLOAD(struct passwd*, getpwuid_ex, (uid_t uid, unsigned long flags)) {
	ITX_REAL_FUNC(getpwuid_ex);
	DT("enter: uid: %d, flags: %lx\n", uid, flags);
	ITX_MAP_UID(uid, True);
	ITX_MAP_RETURNOF_PASSWD(real_getpwuid_ex, (uid, flags), False);
}
