/* ----------------------------------------------------------------------------
 *  "THE BEER-WARE LICENSE" (Revision 42):
 *  <mduft@gentoo.org> wrote this file.  As long as you retain this notice you
 *  can do whatever you want with this stuff. If we meet some day, and you think
 *  this stuff is worth it, you can buy me a beer in return.   Markus Duft
 *  ---------------------------------------------------------------------------- */

#include "suacomp.h"

#include <unistd.h>
#include <sys/types.h>
#include <string.h>

void MapGroup(struct group* grp, int to_win) {
	if(!grp)
		return;

	if(grp->gr_name) {
		grp->gr_name = (char*)MapGroupName(grp->gr_name, to_win);
	}

	ITX_MAP_GID(grp->gr_gid, to_win);

	DM("group: to_win: %d, grp: { %s, %d }\n", to_win, grp->gr_name, grp->gr_gid);
}

char const* MapGroupName(char const* name, int to_win) {
	// ATTENTION: since the group name of gid=0 is not fixed, we use the real name,
	//            instead of a fictional one.
	return name;
}
