/* ----------------------------------------------------------------------------
 *  "THE BEER-WARE LICENSE" (Revision 42):
 *  <mduft@gentoo.org> wrote this file.  As long as you retain this notice you
 *  can do whatever you want with this stuff. If we meet some day, and you think
 *  this stuff is worth it, you can buy me a beer in return.   Markus Duft
 *  ---------------------------------------------------------------------------- */

#ifndef __SC_SYS_TIME_H__
#define __SC_SYS_TIME_H__

#include </usr/include/sys/time.h>

/** futimes() implementation that caches the timestamp and re-writes on clos */
int futimes(int fd, const struct timeval tv[2]);

/** utimes() is present in interix >= 6.0, but prototype is missing. */
int utimes(char const* file, const struct timeval tv[2]);

#endif

