/* ----------------------------------------------------------------------------
 *  "THE BEER-WARE LICENSE" (Revision 42):
 *  <mduft@gentoo.org> wrote this file.  As long as you retain this notice you
 *  can do whatever you want with this stuff. If we meet some day, and you think
 *  this stuff is worth it, you can buy me a beer in return.   Markus Duft
 *  ---------------------------------------------------------------------------- */

#include "suacomp.h"

#include <unistd.h>

ITX_DEF_AND_OVERLOAD(int, lchown, (const char* path, uid_t uid, gid_t gid)) {
	ITX_REAL_FUNC(lchown);
	DT("enter: path: %s, uid: %d, gid: %d\n", path, uid, gid);
	ITX_MAP_UID(uid, True);
	ITX_MAP_GID(gid, True);
	{
		int ret = real_lchown(path, uid, gid);
		DT("leave: %d\n", ret);
		return ret;
	}
}
