/* ----------------------------------------------------------------------------
 *  "THE BEER-WARE LICENSE" (Revision 42):
 *  <mduft@gentoo.org> wrote this file.  As long as you retain this notice you
 *  can do whatever you want with this stuff. If we meet some day, and you think
 *  this stuff is worth it, you can buy me a beer in return.   Markus Duft
 *  ---------------------------------------------------------------------------- */

#include "suacomp.h"

#include <unistd.h>
#include <sys/types.h>

ITX_DEF_AND_OVERLOAD(int, setegid, (gid_t gid)) {
	ITX_REAL_FUNC(setegid);

	DT("enter: gid: %d\n", gid);

	ITX_MAP_GID(gid, True);
	{
        int ret = real_setegid(gid);
        DT("leave: %d\n", ret);
        return ret;
    }
}
