/* ----------------------------------------------------------------------------
 *  "THE BEER-WARE LICENSE" (Revision 42):
 *  <mduft@gentoo.org> wrote this file.  As long as you retain this notice you
 *  can do whatever you want with this stuff. If we meet some day, and you think
 *  this stuff is worth it, you can buy me a beer in return.   Markus Duft
 *  ---------------------------------------------------------------------------- */

#include "suacomp.h"

#include <unistd.h>
#include <sys/types.h>

ITX_DEF_AND_OVERLOAD(int, setreuid, (uid_t ruid, uid_t euid)) {
	ITX_REAL_FUNC(setreuid);

	DT("enter: ruid: %d, euid: %d\n", ruid, euid);
	ITX_MAP_UID(ruid, True);
	ITX_MAP_UID(euid, True);
	{
        int ret = real_setreuid(ruid, euid);
        DT("leave: %d\n", ret);
        return ret;
    }
}
