/* ----------------------------------------------------------------------------
 *  "THE BEER-WARE LICENSE" (Revision 42):
 *  <mduft@gentoo.org> wrote this file.  As long as you retain this notice you
 *  can do whatever you want with this stuff. If we meet some day, and you think
 *  this stuff is worth it, you can buy me a beer in return.   Markus Duft
 *  ---------------------------------------------------------------------------- */

#include "test.h"
#include "../suacomp.h"

#include <unistd.h>
#include <sys/stat.h>
#include <string.h>

void test_lstat(int argc, char** argv) {
	struct stat buf;
	char* lnk = tempnam(NULL, ".tstlink");
	EXP_SUCCESS(access(lnk, F_OK) != 0);
	EXP_SUCCESS(symlink("/", lnk) == 0);

	EXP_SUCCESS(lstat(lnk, &buf) == 0);
	EXP_SUCCESS(buf.st_uid == getuid());
}
