/* ----------------------------------------------------------------------------
 *  "THE BEER-WARE LICENSE" (Revision 42):
 *  <mduft@gentoo.org> wrote this file.  As long as you retain this notice you
 *  can do whatever you want with this stuff. If we meet some day, and you think
 *  this stuff is worth it, you can buy me a beer in return.   Markus Duft
 *  ---------------------------------------------------------------------------- */

#include "test.h"
#include "../suacomp.h"

#include <unistd.h>

void test_sysconf(int argc, char** argv) {
    long limit = sysconf(_SC_ARG_MAX);

    VMSG("argument max limit: %d\n", limit);

    /* 1MB is the original limit, but windows itself is limited to 64K */
    EXP_SUCCESS(limit < (1024 * 1024));
    /* 32K is not enough for many cases as experience shows */
    EXP_SUCCESS(limit > (1024 * 32));
}
