/* ----------------------------------------------------------------------------
 *  "THE BEER-WARE LICENSE" (Revision 42):
 *  <mduft@gentoo.org> wrote this file.  As long as you retain this notice you
 *  can do whatever you want with this stuff. If we meet some day, and you think
 *  this stuff is worth it, you can buy me a beer in return.   Markus Duft
 *  ---------------------------------------------------------------------------- */

#include "test.h"
#include "../suacomp.h"

#include <interix/security.h>
#include <string.h>
#include <limits.h>

void test_uidtontsid_r(int argc, char** argv) {
	char root_sid[SID_NAME_MAX];
	char admin_sid[SID_NAME_MAX];

	EXP_SUCCESS(uidtontsid_r(0, root_sid, SID_NAME_MAX) == 0);
	EXP_SUCCESS(uidtontsid_r(ITX_ROOT_UID, admin_sid, SID_NAME_MAX) == 0);

	VMSG("root_sid: %s, admin_sid: %s\n", root_sid, admin_sid);
	EXP_SUCCESS(root_sid != NULL && admin_sid != NULL && strcmp(root_sid, admin_sid) == 0);
}
