/* ----------------------------------------------------------------------------
 *  "THE BEER-WARE LICENSE" (Revision 42):
 *  <mduft@gentoo.org> wrote this file.  As long as you retain this notice you
 *  can do whatever you want with this stuff. If we meet some day, and you think
 *  this stuff is worth it, you can buy me a beer in return.   Markus Duft
 *  ---------------------------------------------------------------------------- */

#include "suacomp.h"
#include <interix/security.h>

ITX_DEF_AND_OVERLOAD(char*, uidtontsid, (uid_t uid)) {
	ITX_REAL_FUNC(uidtontsid);
	DT("enter: uid: %d\n", uid);
	ITX_MAP_UID(uid, True);
	{
        char* ret = real_uidtontsid(uid);
        DT("leave: %s\n", ret);
        return ret;
    }
}
