/* ----------------------------------------------------------------------------
 *  "THE BEER-WARE LICENSE" (Revision 42):
 *  <mduft@gentoo.org> wrote this file.  As long as you retain this notice you
 *  can do whatever you want with this stuff. If we meet some day, and you think
 *  this stuff is worth it, you can buy me a beer in return.   Markus Duft
 *  ---------------------------------------------------------------------------- */

#include "suacomp.h"
#include <interix/security.h>

ITX_DEF_AND_OVERLOAD(int, uidtontsid_r, (uid_t uid, char* buf, int bufsize)) {
	ITX_REAL_FUNC(uidtontsid_r);
	DT("enter: uid: %d, buf: %p, bufsize: %d\n", uid, buf, bufsize);
	ITX_MAP_UID(uid, True);
    {
        int ret = real_uidtontsid_r(uid, buf, bufsize);
        DT("leave: %d\n", ret);
        return ret;
    }
}
